Index: ./lang/blackdown-jdk13/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/blackdown-jdk13/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/blackdown-jdk13/buildlink3.mk	2 Jul 2004 12:51:57 -0000	1.2
+++ ./lang/blackdown-jdk13/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,7 +12,7 @@
 
 .if !empty(BLACKDOWN_JDK13_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.blackdown-jdk13+=	blackdown-jdk13-[0-9]*
+BUILDLINK_API_DEPENDS.blackdown-jdk13+=	blackdown-jdk13-[0-9]*
 BUILDLINK_PKGSRCDIR.blackdown-jdk13?=	../../lang/blackdown-jdk13
 BUILDLINK_DEPMETHOD.blackdown-jdk13?=   build
 
Index: ./lang/blackdown-jre13/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/blackdown-jre13/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./lang/blackdown-jre13/buildlink3.mk	5 May 2004 18:12:11 -0000	1.1
+++ ./lang/blackdown-jre13/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,7 +12,7 @@
 
 .if !empty(BLACKDOWN_JRE13_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.blackdown-jre13+=	blackdown-jre13-[0-9]*
+BUILDLINK_API_DEPENDS.blackdown-jre13+=	blackdown-jre13-[0-9]*
 BUILDLINK_PKGSRCDIR.blackdown-jre13?=	../../lang/blackdown-jre13
 EVAL_PREFIX+=   BUILDLINK_JAVA_PREFIX.blackdown-jre13=blackdown-jre13
 BUILDLINK_JAVA_PREFIX.blackdown-jre13=	\
Index: ./lang/cdl3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/cdl3/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/cdl3/buildlink3.mk	5 Feb 2006 23:09:43 -0000	1.2
+++ ./lang/cdl3/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cdl3
 
 .if !empty(CDL3_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cdl3+=	cdl3>=1.2.5
-BUILDLINK_RECOMMENDED.cdl3?=	cdl3>=1.2.5nb1
+BUILDLINK_API_DEPENDS.cdl3+=	cdl3>=1.2.5
+BUILDLINK_ABI_DEPENDS.cdl3?=	cdl3>=1.2.5nb1
 BUILDLINK_PKGSRCDIR.cdl3?=	../../lang/cdl3
 .endif	# CDL3_BUILDLINK3_MK
 
Index: ./lang/clisp/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/lang/clisp/Makefile,v
retrieving revision 1.51
diff -u -r1.51 Makefile
--- ./lang/clisp/Makefile	16 Mar 2006 22:17:04 -0000	1.51
+++ ./lang/clisp/Makefile	4 Apr 2006 06:26:54 -0000
@@ -50,7 +50,7 @@
 .include "../../devel/libsigsegv/buildlink3.mk"
 .include "../../devel/readline/buildlink3.mk"
 .include "../../devel/pcre/buildlink3.mk"
-BUILDLINK_DEPENDS.zlib+=	zlib>=1.2
+BUILDLINK_API_DEPENDS.zlib+=	zlib>=1.2
 .include "../../devel/zlib/buildlink3.mk"
 
 .include "../../mk/bsd.pkg.mk"
Index: ./lang/coq/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/lang/coq/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- ./lang/coq/Makefile	5 Feb 2006 23:09:44 -0000	1.13
+++ ./lang/coq/Makefile	4 Apr 2006 06:26:54 -0000
@@ -17,7 +17,7 @@
 CONFIGURE_ARGS+=	-reals all
 BUILD_TARGET=		world
 
-BUILDLINK_DEPENDS.ocaml+=       ocaml>=3.09
+BUILDLINK_API_DEPENDS.ocaml+=       ocaml>=3.09
 
 .include "../../mk/bsd.prefs.mk"
 
Index: ./lang/elk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/elk/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/elk/buildlink3.mk	15 Oct 2005 23:07:21 -0000	1.2
+++ ./lang/elk/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	elk
 
 .if !empty(ELK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.elk+=	elk>=3.99.6
+BUILDLINK_API_DEPENDS.elk+=	elk>=3.99.6
 BUILDLINK_PKGSRCDIR.elk?=	../../lang/elk
 .endif	# ELK_BUILDLINK3_MK
 
Index: ./lang/erlang/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/erlang/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/erlang/buildlink3.mk	5 Feb 2006 23:09:44 -0000	1.3
+++ ./lang/erlang/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=		erlang
 
 .if !empty(ERLANG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.erlang+=	erlang>=10.1
-BUILDLINK_RECOMMENDED.erlang?=	erlang>=10.1.9nb1
+BUILDLINK_API_DEPENDS.erlang+=	erlang>=10.1
+BUILDLINK_ABI_DEPENDS.erlang?=	erlang>=10.1.9nb1
 BUILDLINK_PKGSRCDIR.erlang?=	../../lang/erlang
 .endif	# ERLANG_BUILDLINK3_MK
 
Index: ./lang/ezm3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/ezm3/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/ezm3/buildlink3.mk	5 Feb 2006 23:09:44 -0000	1.2
+++ ./lang/ezm3/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	ezm3
 
 .if !empty(EZM3_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ezm3+=	ezm3>=1.1nb1
+BUILDLINK_API_DEPENDS.ezm3+=	ezm3>=1.1nb1
 BUILDLINK_DEPMETHOD.ezm3?=	build
-BUILDLINK_RECOMMENDED.ezm3?=	ezm3>=1.2nb1
+BUILDLINK_ABI_DEPENDS.ezm3?=	ezm3>=1.2nb1
 BUILDLINK_PKGSRCDIR.ezm3?=	../../lang/ezm3
 .endif	# EZM3_BUILDLINK3_MK
 
Index: ./lang/f2c/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/f2c/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./lang/f2c/buildlink3.mk	5 Dec 2005 20:50:25 -0000	1.5
+++ ./lang/f2c/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	f2c
 
 .if !empty(F2C_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.f2c+=		f2c>=20001205nb3
-BUILDLINK_RECOMMENDED.f2c+=	f2c>=20001205nb8
+BUILDLINK_API_DEPENDS.f2c+=		f2c>=20001205nb3
+BUILDLINK_ABI_DEPENDS.f2c+=	f2c>=20001205nb8
 BUILDLINK_PKGSRCDIR.f2c?=	../../lang/f2c
 .endif	# F2C_BUILDLINK3_MK
 
Index: ./lang/gauche/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gauche/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./lang/gauche/buildlink3.mk	9 Dec 2005 15:38:54 -0000	1.4
+++ ./lang/gauche/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	Gauche
 
 .if !empty(GAUCHE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Gauche+=	Gauche>=0.8.1
+BUILDLINK_API_DEPENDS.Gauche+=	Gauche>=0.8.1
 BUILDLINK_PKGSRCDIR.Gauche?=	../../lang/gauche
 .endif	# GAUCHE_BUILDLINK3_MK
 
Index: ./lang/gawk/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gawk/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- ./lang/gawk/Makefile	30 Mar 2006 03:44:43 -0000	1.34
+++ ./lang/gawk/Makefile	4 Apr 2006 06:26:54 -0000
@@ -35,7 +35,7 @@
 CONFIGURE_ARGS+=	--enable-portals
 .endif
 
-BUILDLINK_DEPENDS.gettext+=	gettext-lib>=0.10.36
+BUILDLINK_API_DEPENDS.gettext+=	gettext-lib>=0.10.36
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./lang/gcc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./lang/gcc/buildlink3.mk	5 Feb 2006 23:09:44 -0000	1.9
+++ ./lang/gcc/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	gcc
 
 .if !empty(GCC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gcc+=		gcc>=${_GCC_REQD}
-BUILDLINK_RECOMMENDED.gcc?=	gcc>=2.95.3nb7
+BUILDLINK_API_DEPENDS.gcc+=		gcc>=${_GCC_REQD}
+BUILDLINK_ABI_DEPENDS.gcc?=	gcc>=2.95.3nb7
 BUILDLINK_PKGSRCDIR.gcc?=	../../lang/gcc
 BUILDLINK_LIBDIRS.gcc?=		\
 	${_GCC_PREFIX:S/^${BUILDLINK_PREFIX.gcc}\///}lib \
Index: ./lang/gcc3/language.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3/language.mk,v
retrieving revision 1.4
diff -u -r1.4 language.mk
--- ./lang/gcc3/language.mk	22 Sep 2004 08:09:39 -0000	1.4
+++ ./lang/gcc3/language.mk	4 Apr 2006 06:26:54 -0000
@@ -1,6 +1,6 @@
 # $NetBSD: language.mk,v 1.4 2004/09/22 08:09:39 jlam Exp $
 
-BUILDLINK_DEPENDS.gcc3-c+=	gcc3${GCC3_PKGMODIF}-c-${GCC_VERSION}{,nb*}
+BUILDLINK_API_DEPENDS.gcc3-c+=	gcc3${GCC3_PKGMODIF}-c-${GCC_VERSION}{,nb*}
 BUILDLINK_DEPMETHOD.gcc3-c+=	full
 
 .include "../../lang/gcc3/Makefile.common"
Index: ./lang/gcc3-ada/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3-ada/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/gcc3-ada/buildlink3.mk	5 Feb 2006 23:09:44 -0000	1.3
+++ ./lang/gcc3-ada/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=    gcc3-ada
 
 .if !empty(GCC3_ADA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gcc3-ada+=      gcc3-ada>=3.3.3
-BUILDLINK_RECOMMENDED.gcc3-ada?=    gcc3-ada>=3.3.5nb1
+BUILDLINK_API_DEPENDS.gcc3-ada+=      gcc3-ada>=3.3.3
+BUILDLINK_ABI_DEPENDS.gcc3-ada?=    gcc3-ada>=3.3.5nb1
 BUILDLINK_PKGSRCDIR.gcc3-ada?=    ../../lang/gcc3-ada
 BUILDLINK_ENV+= ADAC=${LOCALBASE}/gcc3/bin/gcc
 _GCC_ARCHDIR!=	${DIRNAME} `${LOCALBASE}/gcc3/bin/gcc --print-libgcc-file-name`
Index: ./lang/gcc3-c/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3-c/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./lang/gcc3-c/buildlink3.mk	5 Feb 2006 23:09:44 -0000	1.12
+++ ./lang/gcc3-c/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -22,8 +22,8 @@
 GCC3_PKGMODIF=	_${GCC3_INSTALLTO_SUBPREFIX}
 .    endif
 .  endif
-BUILDLINK_DEPENDS.gcc3-c+=	gcc3${GCC3_PKGMODIF}-c>=${_GCC_REQD}
-BUILDLINK_RECOMMENDED.gcc3-c?=	gcc3-c>=3.3.5nb1
+BUILDLINK_API_DEPENDS.gcc3-c+=	gcc3${GCC3_PKGMODIF}-c>=${_GCC_REQD}
+BUILDLINK_ABI_DEPENDS.gcc3-c?=	gcc3-c>=3.3.5nb1
 BUILDLINK_PKGSRCDIR.gcc3-c?=	../../lang/gcc3-c
 BUILDLINK_GCC3_LIBDIRS=		lib
 .  if defined(GCC3_INSTALLTO_SUBPREFIX)
Index: ./lang/gcc3-c++/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3-c++/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./lang/gcc3-c++/buildlink3.mk	5 Feb 2006 23:09:44 -0000	1.12
+++ ./lang/gcc3-c++/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -18,8 +18,8 @@
 GCC3_PKGMODIF=	_${GCC3_INSTALLTO_SUBPREFIX}
 .    endif
 .  endif
-BUILDLINK_DEPENDS.gcc3-cxx+=	gcc3${GCC3_PKGMODIF}-c++>=${_GCC_REQD}
-BUILDLINK_RECOMMENDED.gcc3-cxx?=	gcc3-c++>=3.3.5nb1
+BUILDLINK_API_DEPENDS.gcc3-cxx+=	gcc3${GCC3_PKGMODIF}-c++>=${_GCC_REQD}
+BUILDLINK_ABI_DEPENDS.gcc3-cxx?=	gcc3-c++>=3.3.5nb1
 BUILDLINK_PKGSRCDIR.gcc3-cxx?=	../../lang/gcc3-c++
 BUILDLINK_LIBDIRS.gcc3-cxx?=	\
 	lib ${_GCC_ARCHDIR:S/^${BUILDLINK_PREFIX.gcc3-cxx}\///}
Index: ./lang/gcc3-f77/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3-f77/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./lang/gcc3-f77/buildlink3.mk	5 Feb 2006 23:09:45 -0000	1.12
+++ ./lang/gcc3-f77/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -18,8 +18,8 @@
 GCC3_PKGMODIF=	_${GCC3_INSTALLTO_SUBPREFIX}
 .    endif
 .  endif
-BUILDLINK_DEPENDS.gcc3-f77+=	gcc3${GCC3_PKGMODIF}-f77>=${_GCC_REQD}
-BUILDLINK_RECOMMENDED.gcc3-f77?=	gcc3-f77>=3.3.5nb2
+BUILDLINK_API_DEPENDS.gcc3-f77+=	gcc3${GCC3_PKGMODIF}-f77>=${_GCC_REQD}
+BUILDLINK_ABI_DEPENDS.gcc3-f77?=	gcc3-f77>=3.3.5nb2
 BUILDLINK_PKGSRCDIR.gcc3-f77?=	../../lang/gcc3-f77
 BUILDLINK_LIBDIRS.gcc3-f77?=	\
 	lib ${_GCC_ARCHDIR:S/^${BUILDLINK_PREFIX.gcc3-f77}\///}
Index: ./lang/gcc34/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc34/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./lang/gcc34/buildlink3.mk	5 Feb 2006 23:09:45 -0000	1.10
+++ ./lang/gcc34/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=    gcc34
 
 .if !empty(GCC34_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gcc34+=	gcc34>=${_GCC_REQD}
-BUILDLINK_RECOMMENDED.gcc34?=	gcc34>=3.4.5nb1
+BUILDLINK_API_DEPENDS.gcc34+=	gcc34>=${_GCC_REQD}
+BUILDLINK_ABI_DEPENDS.gcc34?=	gcc34>=3.4.5nb1
 BUILDLINK_PKGSRCDIR.gcc34?=	../../lang/gcc34
 .  if exists(${BUILDLINK_PREFIX.gcc34}/bin/gcc)
 _GNAT1!=${BUILDLINK_PREFIX.gcc34}/bin/gcc -print-prog-name=gnat1
Index: ./lang/gcc3-java/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3-java/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- ./lang/gcc3-java/Makefile	5 Feb 2006 23:09:45 -0000	1.19
+++ ./lang/gcc3-java/Makefile	4 Apr 2006 06:26:54 -0000
@@ -4,7 +4,7 @@
 PKGREVISION=	1
 COMMENT=	GNU Compiler Collection, v3 - Java compiler
 
-BUILDLINK_DEPENDS.gcc3cxx+=	gcc3${GCC3_PKGMODIF}-c++-${GCC_VERSION}{,nb*}
+BUILDLINK_API_DEPENDS.gcc3cxx+=	gcc3${GCC3_PKGMODIF}-c++-${GCC_VERSION}{,nb*}
 BUILDLINK_DEPMETHOD.gcc3cxx+=	full
 
 INFO_FILES=	gcj.info
Index: ./lang/gcc3-java/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3-java/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./lang/gcc3-java/buildlink3.mk	5 Feb 2006 23:09:45 -0000	1.12
+++ ./lang/gcc3-java/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -18,8 +18,8 @@
 GCC3_PKGMODIF=	_${GCC3_INSTALLTO_SUBPREFIX}
 .    endif
 .  endif
-BUILDLINK_DEPENDS.gcc3-java+=	gcc3${GCC3_PKGMODIF}-java>=${_GCC_REQD}
-BUILDLINK_RECOMMENDED.gcc3-java?=	gcc3-java>=3.3.5nb1
+BUILDLINK_API_DEPENDS.gcc3-java+=	gcc3${GCC3_PKGMODIF}-java>=${_GCC_REQD}
+BUILDLINK_ABI_DEPENDS.gcc3-java?=	gcc3-java>=3.3.5nb1
 BUILDLINK_PKGSRCDIR.gcc3-java?=	../../lang/gcc3-java
 BUILDLINK_LIBDIRS.gcc3-java?=	\
 	lib ${_GCC_ARCHDIR:S/^${BUILDLINK_PREFIX.gcc3-java}\///}
Index: ./lang/gcc3-objc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc3-objc/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./lang/gcc3-objc/buildlink3.mk	5 Feb 2006 23:09:45 -0000	1.12
+++ ./lang/gcc3-objc/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -18,8 +18,8 @@
 GCC3_PKGMODIF=	_${GCC3_INSTALLTO_SUBPREFIX}
 .    endif
 .  endif
-BUILDLINK_DEPENDS.gcc3-objc+=	gcc3${GCC3_PKGMODIF}-objc>=${_GCC_REQD}
-BUILDLINK_RECOMMENDED.gcc3-objc?=	gcc3-objc>=3.3.5nb1
+BUILDLINK_API_DEPENDS.gcc3-objc+=	gcc3${GCC3_PKGMODIF}-objc>=${_GCC_REQD}
+BUILDLINK_ABI_DEPENDS.gcc3-objc?=	gcc3-objc>=3.3.5nb1
 BUILDLINK_PKGSRCDIR.gcc3-objc?=	../../lang/gcc3-objc
 BUILDLINK_LIBDIRS.gcc3-objc?=	\
 	lib ${_GCC_ARCHDIR:S/^${BUILDLINK_PREFIX.gcc3-objc}\///}
Index: ./lang/gcc34-ada/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/gcc34-ada/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./lang/gcc34-ada/buildlink3.mk	5 Feb 2006 23:09:45 -0000	1.7
+++ ./lang/gcc34-ada/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	gcc34-ada
 
 .if !empty(GCCADA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gcc34-ada+=	gcc34-ada>=3.4.1nb4
-BUILDLINK_RECOMMENDED.gcc34-ada?=	gcc34-ada>=3.4.4nb1
+BUILDLINK_API_DEPENDS.gcc34-ada+=	gcc34-ada>=3.4.1nb4
+BUILDLINK_ABI_DEPENDS.gcc34-ada?=	gcc34-ada>=3.4.4nb1
 BUILDLINK_PKGSRCDIR.gcc34-ada?=	../../lang/gcc34-ada
 BUILDLINK_ENV+= ADAC=${BUILDLINK_PREFIX.gcc34-ada}/bin/gcc
 .  if exists(${BUILDLINK_PREFIX.gcc34-ada}/bin/gcc)
Index: ./lang/ghc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/ghc/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/ghc/buildlink3.mk	22 Mar 2006 15:12:07 -0000	1.3
+++ ./lang/ghc/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ghc
 
 .if !empty(GHC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ghc+=		ghc>=6.2.1nb1
-BUILDLINK_RECOMMENDED.ghc?=	ghc>=6.4.1nb1
+BUILDLINK_API_DEPENDS.ghc+=		ghc>=6.2.1nb1
+BUILDLINK_ABI_DEPENDS.ghc?=	ghc>=6.4.1nb1
 BUILDLINK_PKGSRCDIR.ghc?=	../../lang/ghc
 
 BUILDLINK_DEPMETHOD.ghc?=	build
Index: ./lang/guile/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/guile/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./lang/guile/buildlink3.mk	5 Feb 2006 23:09:45 -0000	1.7
+++ ./lang/guile/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	guile
 
 .if !empty(GUILE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.guile+=	guile>=1.6.3nb1
-BUILDLINK_RECOMMENDED.guile+=	guile>=1.6.7nb3
+BUILDLINK_API_DEPENDS.guile+=	guile>=1.6.3nb1
+BUILDLINK_ABI_DEPENDS.guile+=	guile>=1.6.7nb3
 BUILDLINK_PKGSRCDIR.guile?=	../../lang/guile
 .endif	# GUILE_BUILDLINK3_MK
 
Index: ./lang/guile14/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/guile14/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./lang/guile14/buildlink3.mk	5 Feb 2006 23:09:45 -0000	1.5
+++ ./lang/guile14/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	guile14
 
 .if !empty(GUILE14_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.guile14+=	guile14>=1.4.1nb4
-BUILDLINK_RECOMMENDED.guile14+=	guile14>=1.4.1nb8
+BUILDLINK_API_DEPENDS.guile14+=	guile14>=1.4.1nb4
+BUILDLINK_ABI_DEPENDS.guile14+=	guile14>=1.4.1nb8
 BUILDLINK_PKGSRCDIR.guile14?=	../../lang/guile14
 
 BUILDLINK_PASSTHRU_DIRS=	${LOCALBASE}/guile/1.4
Index: ./lang/jdk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/jdk/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/jdk/buildlink3.mk	2 Jul 2004 12:51:57 -0000	1.2
+++ ./lang/jdk/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	jdk
 
 .if !empty(JDK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.jdk+=	jdk>=1.1.8
+BUILDLINK_API_DEPENDS.jdk+=	jdk>=1.1.8
 BUILDLINK_PKGSRCDIR.jdk?=	../../lang/jdk
 BUILDLINK_JAVA_PREFIX.jdk=	${PREFIX}/java/jdk-1.1.8
 
Index: ./lang/kaffe/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/kaffe/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./lang/kaffe/buildlink3.mk	5 Feb 2006 23:09:46 -0000	1.10
+++ ./lang/kaffe/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kaffe
 
 .if !empty(KAFFE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kaffe+=	kaffe>=1.1.6
-BUILDLINK_RECOMMENDED.kaffe?=	kaffe>=1.1.6nb2
+BUILDLINK_API_DEPENDS.kaffe+=	kaffe>=1.1.6
+BUILDLINK_ABI_DEPENDS.kaffe?=	kaffe>=1.1.6nb2
 BUILDLINK_PKGSRCDIR.kaffe?=	../../lang/kaffe
 BUILDLINK_JAVA_PREFIX.kaffe=	${PREFIX}/java/kaffe
 .endif	# KAFFE_BUILDLINK3_MK
Index: ./lang/librep/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/librep/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./lang/librep/buildlink3.mk	5 Feb 2006 23:09:46 -0000	1.8
+++ ./lang/librep/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	librep
 
 .if !empty(LIBREP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.librep+=	librep>=0.17
-BUILDLINK_RECOMMENDED.librep+=	librep>=0.17nb2
+BUILDLINK_API_DEPENDS.librep+=	librep>=0.17
+BUILDLINK_ABI_DEPENDS.librep+=	librep>=0.17nb2
 BUILDLINK_PKGSRCDIR.librep?=	../../lang/librep
 MAKE_FLAGS+=			rep_LIBTOOL=${LIBTOOL:Q}
 .endif	# LIBREP_BUILDLINK3_MK
Index: ./lang/libtcl-nothread/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/libtcl-nothread/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/libtcl-nothread/buildlink3.mk	3 Oct 2004 00:15:01 -0000	1.2
+++ ./lang/libtcl-nothread/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tclnt
 
 .if !empty(TCLNT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tclnt+=	libtcl-nothread>=8.4.6
-BUILDLINK_RECOMMENDED.tclnt+=	libtcl-nothread>=8.4.6nb1
+BUILDLINK_API_DEPENDS.tclnt+=	libtcl-nothread>=8.4.6
+BUILDLINK_ABI_DEPENDS.tclnt+=	libtcl-nothread>=8.4.6nb1
 BUILDLINK_PKGSRCDIR.tclnt?=	../../lang/libtcl-nothread
 
 BUILDLINK_FILES.tcl=	bin/tclsh*
Index: ./lang/lua/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/lua/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./lang/lua/buildlink3.mk	4 Sep 2005 04:59:36 -0000	1.4
+++ ./lang/lua/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lua
 
 .if !empty(LUA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lua+=		lua>=5.0.2
-BUILDLINK_RECOMMENDED.lua+=	lua>=5.0.2nb4
+BUILDLINK_API_DEPENDS.lua+=		lua>=5.0.2
+BUILDLINK_ABI_DEPENDS.lua+=	lua>=5.0.2nb4
 BUILDLINK_PKGSRCDIR.lua?=	../../lang/lua
 .endif	# LUA_BUILDLINK3_MK
 
Index: ./lang/lua4/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/lua4/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./lang/lua4/buildlink3.mk	28 Apr 2004 00:28:18 -0000	1.1
+++ ./lang/lua4/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	lua4
 
 .if !empty(LUA4_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lua4+=	lua4>=4.0.1
+BUILDLINK_API_DEPENDS.lua4+=	lua4>=4.0.1
 BUILDLINK_PKGSRCDIR.lua4?=	../../lang/lua4
 .endif	# LUA4_BUILDLINK3_MK
 
Index: ./lang/mono/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/mono/buildlink3.mk,v
retrieving revision 1.19
diff -u -r1.19 buildlink3.mk
--- ./lang/mono/buildlink3.mk	5 Feb 2006 23:09:46 -0000	1.19
+++ ./lang/mono/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mono
 
 .if !empty(MONO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mono+=	mono>=1.1.12.1
-BUILDLINK_RECOMMENDED.mono?=	mono>=1.1.12.1nb2
+BUILDLINK_API_DEPENDS.mono+=	mono>=1.1.12.1
+BUILDLINK_ABI_DEPENDS.mono?=	mono>=1.1.12.1nb2
 BUILDLINK_PKGSRCDIR.mono?=	../../lang/mono
 .endif	# MONO_BUILDLINK3_MK
 
Index: ./lang/ocaml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/ocaml/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./lang/ocaml/buildlink3.mk	5 Feb 2006 23:09:46 -0000	1.15
+++ ./lang/ocaml/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_DEPMETHOD.ocaml?=	build
 
 .if !empty(OCAML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ocaml+=	ocaml>=3.08.2
-BUILDLINK_RECOMMENDED.ocaml?=	ocaml>=3.09.1nb2
+BUILDLINK_API_DEPENDS.ocaml+=	ocaml>=3.08.2
+BUILDLINK_ABI_DEPENDS.ocaml?=	ocaml>=3.09.1nb2
 BUILDLINK_PKGSRCDIR.ocaml?=	../../lang/ocaml
 
 . include "../../mk/bsd.prefs.mk"
Index: ./lang/onyx/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/lang/onyx/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./lang/onyx/Makefile	4 Mar 2006 21:29:55 -0000	1.18
+++ ./lang/onyx/Makefile	4 Apr 2006 06:26:54 -0000
@@ -18,7 +18,7 @@
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS+= --with-pcre-prefix=${BUILDLINK_PREFIX.pcre}
 
-BUILDLINK_DEPENDS.pcre?=        pcre>=4.0
+BUILDLINK_API_DEPENDS.pcre?=        pcre>=4.0
 
 VERS=		5.1.1
 PLIST_SUBST+=	VERS=${VERS:Q}
Index: ./lang/parrot/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/parrot/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/parrot/buildlink3.mk	5 Feb 2006 23:09:47 -0000	1.2
+++ ./lang/parrot/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	parrot
 
 .if !empty(PARROT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.parrot+=		parrot>=0.4.0
-BUILDLINK_RECOMMENDED.parrot?=		parrot>=0.4.1nb1
+BUILDLINK_API_DEPENDS.parrot+=		parrot>=0.4.0
+BUILDLINK_ABI_DEPENDS.parrot?=		parrot>=0.4.1nb1
 BUILDLINK_PKGSRCDIR.parrot?=		../../lang/parrot
 .endif	# PARROT_BUILDLINK3_MK
 
Index: ./lang/perl5/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/perl5/buildlink3.mk,v
retrieving revision 1.30
diff -u -r1.30 buildlink3.mk
--- ./lang/perl5/buildlink3.mk	14 Mar 2006 01:14:29 -0000	1.30
+++ ./lang/perl5/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -16,7 +16,7 @@
 USE_TOOLS+=			perl
 PERL5_REQD+=			5.8.7
 TOOLS_DEPENDS.perl=		# buildlink3 will handle the dependency
-BUILDLINK_DEPENDS.perl+=	perl>=${PERL5_REQD}
+BUILDLINK_API_DEPENDS.perl+=	perl>=${PERL5_REQD}
 BUILDLINK_PKGSRCDIR.perl?=	../../lang/perl5
 
 PERL5_OPTIONS?=		# empty
Index: ./lang/php5/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/php5/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./lang/php5/buildlink3.mk	17 Feb 2006 09:48:01 -0000	1.10
+++ ./lang/php5/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	php
 
 .if !empty(PHP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.php+=		php>=5.1.2
-BUILDLINK_RECOMMENDED.php+=	php>=5.1.2
+BUILDLINK_API_DEPENDS.php+=		php>=5.1.2
+BUILDLINK_ABI_DEPENDS.php+=	php>=5.1.2
 BUILDLINK_PKGSRCDIR.php?=	../../lang/php5
 .endif	# PHP_BUILDLINK3_MK
 
Index: ./lang/pnet/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/pnet/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./lang/pnet/buildlink3.mk	5 Feb 2006 23:09:47 -0000	1.7
+++ ./lang/pnet/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pnet
 
 .if !empty(PNET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pnet+=	pnet>=0.6.4
-BUILDLINK_RECOMMENDED.pnet+=	pnet>=0.6.6nb2
+BUILDLINK_API_DEPENDS.pnet+=	pnet>=0.6.4
+BUILDLINK_ABI_DEPENDS.pnet+=	pnet>=0.6.6nb2
 BUILDLINK_PKGSRCDIR.pnet?=	../../lang/pnet
 .endif	# PNET_BUILDLINK3_MK
 
Index: ./lang/pnetC/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/pnetC/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./lang/pnetC/buildlink3.mk	5 Feb 2006 23:09:47 -0000	1.5
+++ ./lang/pnetC/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pnetC
 
 .if !empty(PNETC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pnetC+=	pnetC>=0.6.4
-BUILDLINK_RECOMMENDED.pnetC?=	pnetC>=0.6.6nb2
+BUILDLINK_API_DEPENDS.pnetC+=	pnetC>=0.6.4
+BUILDLINK_ABI_DEPENDS.pnetC?=	pnetC>=0.6.6nb2
 BUILDLINK_PKGSRCDIR.pnetC?=	../../lang/pnetC
 .endif	# PNETC_BUILDLINK3_MK
 
Index: ./lang/pnetlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/pnetlib/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./lang/pnetlib/buildlink3.mk	5 Feb 2006 23:09:47 -0000	1.6
+++ ./lang/pnetlib/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pnetlib
 
 .if !empty(PNETLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pnetlib+=	pnetlib>=0.6.4
-BUILDLINK_RECOMMENDED.pnetlib+=	pnetlib>=0.6.6nb2
+BUILDLINK_API_DEPENDS.pnetlib+=	pnetlib>=0.6.4
+BUILDLINK_ABI_DEPENDS.pnetlib+=	pnetlib>=0.6.6nb2
 BUILDLINK_PKGSRCDIR.pnetlib?=	../../lang/pnetlib
 .endif	# PNETLIB_BUILDLINK3_MK
 
Index: ./lang/py-extclass/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/py-extclass/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./lang/py-extclass/buildlink3.mk	19 Sep 2005 14:56:26 -0000	1.1
+++ ./lang/py-extclass/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pyextclass
 
 .if !empty(PYEXTCLASS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyextclass+=		py-extclass>=2.2.2nb1
-BUILDLINK_RECOMMENDED.pyextclass+=	py-extclass>=2.2.2nb1
+BUILDLINK_API_DEPENDS.pyextclass+=		py-extclass>=2.2.2nb1
+BUILDLINK_ABI_DEPENDS.pyextclass+=	py-extclass>=2.2.2nb1
 BUILDLINK_PKGSRCDIR.pyextclass?=	../../lang/py-extclass
 .endif	# PYEXTCLASS_BUILDLINK3_MK
 
Index: ./lang/python/pyversion.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python/pyversion.mk,v
retrieving revision 1.38
diff -u -r1.38 pyversion.mk
--- ./lang/python/pyversion.mk	4 Nov 2005 18:24:37 -0000	1.38
+++ ./lang/python/pyversion.mk	4 Apr 2006 06:26:54 -0000
@@ -12,12 +12,12 @@
 PYTHON_VERSIONS_ACCEPTED?=		24 23 22 21 20
 PYTHON_VERSIONS_INCOMPATIBLE?=		# empty by default
 
-BUILDLINK_DEPENDS.python15?=		python15>=1.5
-BUILDLINK_DEPENDS.python20?=		python20>=2.0
-BUILDLINK_DEPENDS.python21?=		python21>=2.1
-BUILDLINK_DEPENDS.python22?=		python22>=2.2
-BUILDLINK_DEPENDS.python23?=		python23>=2.3
-BUILDLINK_DEPENDS.python24?=		python24>=2.4
+BUILDLINK_API_DEPENDS.python15?=		python15>=1.5
+BUILDLINK_API_DEPENDS.python20?=		python20>=2.0
+BUILDLINK_API_DEPENDS.python21?=		python21>=2.1
+BUILDLINK_API_DEPENDS.python22?=		python22>=2.2
+BUILDLINK_API_DEPENDS.python23?=		python23>=2.3
+BUILDLINK_API_DEPENDS.python24?=		python24>=2.4
 
 # transform the list into individual variables
 .for pv in ${PYTHON_VERSIONS_ACCEPTED}
@@ -95,38 +95,38 @@
 #
 .if ${_PYTHON_VERSION} == "24"
 PYPKGSRCDIR=	../../lang/python24
-PYDEPENDENCY=	${BUILDLINK_DEPENDS.python24}:${PYPKGSRCDIR}
+PYDEPENDENCY=	${BUILDLINK_API_DEPENDS.python24}:${PYPKGSRCDIR}
 PYPACKAGE=	python24
 PYVERSSUFFIX=	2.4
 PYPKGPREFIX=	py24
 .elif ${_PYTHON_VERSION} == "23"
 PYPKGSRCDIR=	../../lang/python23
-PYDEPENDENCY=	${BUILDLINK_DEPENDS.python23}:${PYPKGSRCDIR}
+PYDEPENDENCY=	${BUILDLINK_API_DEPENDS.python23}:${PYPKGSRCDIR}
 PYPACKAGE=	python23
 PYVERSSUFFIX=	2.3
 PYPKGPREFIX=	py23
 .elif ${_PYTHON_VERSION} == "22"
 PYPKGSRCDIR=	../../lang/python22
-PYDEPENDENCY=	${BUILDLINK_DEPENDS.python22}:${PYPKGSRCDIR}
+PYDEPENDENCY=	${BUILDLINK_API_DEPENDS.python22}:${PYPKGSRCDIR}
 PYPACKAGE=	python22
 PYVERSSUFFIX=	2.2
 PYPKGPREFIX=	py22
 .elif ${_PYTHON_VERSION} == "21"
 PYPKGSRCDIR=	../../lang/python21
 PYPACKAGE=	python21
-PYDEPENDENCY=	${BUILDLINK_DEPENDS.python21}:${PYPKGSRCDIR}
+PYDEPENDENCY=	${BUILDLINK_API_DEPENDS.python21}:${PYPKGSRCDIR}
 PYVERSSUFFIX=	2.1
 PYPKGPREFIX=	py21
 .elif ${_PYTHON_VERSION} == "20"
 PYPKGSRCDIR=	../../lang/python20
 PYPACKAGE=	python20
-PYDEPENDENCY=	${BUILDLINK_DEPENDS.python20}:${PYPKGSRCDIR}
+PYDEPENDENCY=	${BUILDLINK_API_DEPENDS.python20}:${PYPKGSRCDIR}
 PYVERSSUFFIX=	2.0
 PYPKGPREFIX=	py20
 .elif ${_PYTHON_VERSION} == "15"
 PYPKGSRCDIR=	../../lang/python15
 PYPACKAGE=	python15
-PYDEPENDENCY=	${BUILDLINK_DEPENDS.python15}:${PYPKGSRCDIR}
+PYDEPENDENCY=	${BUILDLINK_API_DEPENDS.python15}:${PYPKGSRCDIR}
 PYVERSSUFFIX=	1.5
 PYPKGPREFIX=	py15
 .if !defined(PYTHON_DISTUTILS_BOOTSTRAP)
Index: ./lang/python15/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python15/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./lang/python15/buildlink3.mk	5 Mar 2004 19:25:36 -0000	1.4
+++ ./lang/python15/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	python15
 
 .if !empty(PYTHON15_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.python15+=	python15>=1.5
+BUILDLINK_API_DEPENDS.python15+=	python15>=1.5
 BUILDLINK_PKGSRCDIR.python15?=	../../lang/python15
 
 .if defined(BUILDLINK_DEPMETHOD.python)
Index: ./lang/python20/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python20/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./lang/python20/buildlink3.mk	26 Mar 2004 02:27:42 -0000	1.5
+++ ./lang/python20/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	python20
 
 .if !empty(PYTHON20_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.python20+=	python20>=2.0
-BUILDLINK_RECOMMENDED.python20?=	python20>=2.0.1nb7
+BUILDLINK_API_DEPENDS.python20+=	python20>=2.0
+BUILDLINK_ABI_DEPENDS.python20?=	python20>=2.0.1nb7
 BUILDLINK_PKGSRCDIR.python20?=	../../lang/python20
 
 .if defined(BUILDLINK_DEPMETHOD.python)
